package com.gx.obe.bpt.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.gx.obe.bpt.entity.BidPriceTableTitle;
import com.gx.obe.web.utils.ObeHttpUtils;

public class BidPriceTableTitleService {
	
	protected static final String URL = "obeBidPriceTableTitle";
	
	public List<BidPriceTableTitle> getBiddingTableTitleList(String tenderId) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		return ObeHttpUtils.getList(URL.concat("/getBiddingTableTitleList"), param, BidPriceTableTitle.class);
	}
	
	public BidPriceTableTitle getBiddingTableTitle(String tenderId, String colType) {
		Map<String, Object> param = new HashMap<>();
		param.put("tenderId", tenderId);
		param.put("colType", colType);
		return ObeHttpUtils.getOne(URL.concat("/getBiddingTableTitle"), param, BidPriceTableTitle.class);
	}
	
}
